
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>BootStrap iCheck插件全选与获取value值的解决方法 / 憋错料</title>

    <meta name="description" content="BootStrap iCheck插件全选与获取value值的解决方法 这篇文章主要介绍了BootStrap iCheck插件全选与获取value值的解决方法,解决方法其实很简单,下面小编给大家分享下这方面的知识 在使用jQuery iCheck 插件的时候遇到了一个问题,就是当我们使用普通的js全选功能无效了. $(&quot;#checkall&quot;).click( function(){ if(this.checked){ $(&quot;input[name='checkname']&quot;).each(function(){this.checke ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">BootStrap iCheck插件全选与获取value值的解决方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>这篇文章主要介绍了BootStrap iCheck插件全选与获取value值的解决方法,解决方法其实很简单，下面小编给大家分享下这方面的知识</p>
<p>在使用jQuery iCheck 插件的时候遇到了一个问题，就是当我们使用普通的js全选功能无效了。</p>
<pre>$("#checkall").click(
function(){
if(this.checked){
$("input[name=‘checkname‘]").each(function(){this.checked=true;});
}else{
$("input[name=‘checkname‘]").each(function(){this.checked=false;});
}
}
);</pre>
<p>这样来写对默认的checkbox框没问题，但是当使用iCheck 插件后将无效。</p>
<p>那么该怎么解决呢？</p>
<p><strong>最后是在stackoverflow 找到的解决方法：</strong></p>
<p>地址是这里：<a>http://stackoverflow.com/questions/17820080/function-select-all-and-icheck</a></p>
<pre>//全选获取数值
var checkAll = $(‘input.all‘);
var checkboxes = $(‘input.check‘);
checkAll.on(‘ifChecked ifUnchecked‘, function(event) {
if (event.type == ‘ifChecked‘) {
checkboxes.iCheck(‘check‘);
} else {
checkboxes.iCheck(‘uncheck‘);
}
});
checkboxes.on(‘ifChanged‘, function(event){
if(checkboxes.filter(‘:checked‘).length == checkboxes.length) {
checkAll.prop(‘checked‘, ‘checked‘);
} else {
checkAll.removeProp(‘checked‘);
}
checkAll.iCheck(‘update‘);
});</pre>
<p>在解决了全选问题后，又遇到了一个新的问题，获取选中的checkbox的value的时候，使用：$(this).attr(‘checked‘);获取不到值了~，蛋疼。</p>
<p>最后几经Google搜索，还是在stackoverflow 找到了启发，判断checkbox的布尔值，使用 ：$(this).is(‘:checked‘);</p>
<p>最后代码的解决方法如下：</p>
<pre>$(".ajax-delete").click(function(){
var url = $(this).attr(‘data-url‘);
var str="";
var ids="";
$("input[name=‘id‘]:checkbox").each(function(){
if(true == $(this).is(‘:checked‘)){
str+=$(this).val()+",";
}
});
if(str.substr(str.length-1)== ‘,‘){
ids = str.substr(0,str.length-1);
}
console.log(ids);
});</pre>
<p>以上所述是小编给大家介绍的BootStrap iCheck插件全选与获取value值的解决方法，希望对大家有所帮助。</p>
<p>文章来源：<a href="http://m.jb51.net/article/91128.htm" rel="external nofollow noreferrer">http://m.jb51.net/article/91128.htm</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 00:19:57 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/data/" title="data">data</a>, <a href="https://www.biecuoliao.com/tag/ons/" title="ons">ons</a>, <a href="https://www.biecuoliao.com/tag/net/" title="net">net</a>, <a href="https://www.biecuoliao.com/tag/delete/" title="delete">delete</a>, <a href="https://www.biecuoliao.com/tag/event/" title="event">event</a>, <a href="https://www.biecuoliao.com/tag/hang/" title="hang">hang</a>, <a href="https://www.biecuoliao.com/tag/lan/" title="lan">lan</a>, <a href="https://www.biecuoliao.com/tag/bootstra/" title="bootstra">bootstra</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>BootStrap iCheck插件全选与获取value值的解决方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wrrD80.html" rel="bookmark">bootstrap iCheck插件 全选和获取value值的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在使用jQuery iCheck 插件的时候遇到了一个问题,就是当我们使用普通的js全选功能无效了. $(&quot;#checkall&quot;).click(     function(){         if(this.checked){             $(&quot;input[name='checkname']&quot;).each(function(){this.checked=true;});         }else{             $(&quot;input[			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MylJpp4.html" rel="bookmark">iCheck的全选和获取value</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在使用jQuery iCheck 插件的时候遇到了一个问题,就是当我们使用普通的js全选功能无效了. $(&quot;#checkall&quot;).click( function(){ if(this.checked){ $(&quot;input[name='checkname']&quot;).each(function(){this.checked=true;}); }else{ $(&quot;input[name='checkname']&quot;).each(function(){thi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dAAgZ3.html" rel="bookmark">javascript使用for循环批量注册的事件不能正确获取索引值的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天遇到一个问题,那就是当使用for循环批量注册事件处理函数,然后最后通过事件处理函数获取当前元素的索引值的时候会失败,先看一段代码实例: &lt;script type=&quot;text/javascript&quot;&gt; window.onload=function(){ var oLis=document.getElementsByTagName(&quot;li&quot;); var oshow=document.getElementById(&quot;show&quot;); fo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41eQNg4.html" rel="bookmark">JQuery 判断checkbox是否选中，checkbox全选，获取checkbox选中值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MylAWV4.html" rel="bookmark">Ubuntu安装NRPE（Nagios插件）报：Cannot find ssl headers解决方法！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux系统:Ubuntu 12.04 Nagios Linux客户端需要安装NRPE进行数据收集,如果在Ubuntu系统下安装过程中遇到下面的错误提示:checking for SSL libraries... configure: error: Cannot find ssl libraries 那么可能是缺少sudo apt-get install opensslsudo apt-get install libssl-dev 如果nrpe-2.15# ./configure   还是一样			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lWExbM.html" rel="bookmark">eclipse插件Maven添加依赖查询无结果的解决方法&lpar;Select Dependency doesn&amp;&num;39&semi;t work&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在eclipse中用过maven的可能都遇到过这种情况,我以前一直在search.maven里面搜索,然后添加pom信息. 今天在网上搜索时,找到了一个解决方法,在这里分享一下. 第一步,在preferences里面选择maven,选中&quot;Download repository index updates on startup&quot; 第二步,打开Maven仓库 第三步,在全局仓库上右键选择&quot;Full Index Enabled&quot; 选择之后,maven会下载一个近百兆的索引			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBm2nq4.html" rel="bookmark">jquery1&period;11 操作checkbox：全选、取消全选、获取选择元素、获取取消选择元素（总结）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				jquery1.11.1版本完成对checkbox的操作 1. 使用属性prop设置选中状态 2.使用:checked和:not(:checked)获取选中的元素 源码: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;&gt; &lt;meta http-equiv=&quot;X-UA-Compatible&quot; content=&quot;IE=edge,chrome=1&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0ebZ6D3.html" rel="bookmark">Jquery 实现动态添加table tr 和删除tr 以及checkbox的全选 和 获取添加TR删除TR后的数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于jquery实现动态添加table tr的问题我也不多说了 上面代码很多地方都有注释的 关于返回的 编辑后的table 数据 我这里想说的是我直接把他保存成一个连接起来的字符串了 格式 str=XXX | XXX | XXX , XXX | XXX | XXX , XXX | XXX | XXX 你也可以保存成对象类型的  我是为了方便后台的操作才这样做的 话不多说直接代码: &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Typ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wmzVNM.html" rel="bookmark">分享知识-快乐自己：复选框、全选&sol;反选&sol;获取值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1):复选框 全选与反选 .获取选中的值 取消选中的框 1.全选/反选 &lt;body&gt; &lt;input type=&quot;checkbox&quot; checked&gt; &lt;input type=&quot;checkbox&quot;&gt; &lt;input type=&quot;checkbox&quot;&gt; &lt;input type=&quot;checkbox&quot;&gt; &lt;input type=&quot;checkbox&quot;&gt			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bModyb0.html" rel="bookmark" class="title">cl【自动化测试】工作机会</a>
					<div>
						杭州丈浔科技有限公司   http://jobs.zhaopin.com/254715235250008.htm?ssidkey=y&amp;ss=201&amp;ff=03 浙江脸谱科技有限公司   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YGDjv4.html" rel="bookmark" class="title">（数组）Largest Rectangle in Histogram（栈解问题）</a>
					<div>
						Largest Rectangle in Histogram Given n non-negative integers representing the histogram's bar height ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4peA98M.html" rel="bookmark" class="title">CSS-学习笔记</a>
					<div>
						id和class选择器 HTML元素以id属性来设置id选择器,CSS 中 id 选择器以 &quot;#&quot; 来定义.类选择器以一个点&quot;.&quot;号显示 层叠次序 1.浏览器缺 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eqg7v0.html" rel="bookmark" class="title">Web学习之自定义标签</a>
					<div>
						1.编写一个实现Tag接口的Java类(标签处理器类) 1 package me.gacl.web.tag; 2 3 import java.io.IOException; 4 5 import ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLWJZe4.html" rel="bookmark" class="title">php 随记</a>
					<div>
						1. 删除数组里面为空的元素 $arr = [ '1', '0', '', '[]', 'false', 'true', ' ' ]; //以以上的数组为例 $codes = array_filter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l5KXo3.html" rel="bookmark" class="title">HDU ACM 1066 Last non-zero Digit in N&excl;</a>
					<div>
						#include&lt;iostream&gt; using namespace std; int mod[20]={1,1,2,6,4,2,2,4,2,8,4,4,8,4,6,8,8,6,8,2}; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGPmqZ0.html" rel="bookmark" class="title">windows下socket学习（一）</a>
					<div>
						关于socket的文章,园子里面有很多,其实无非就是 WSAStartup.socket.bind.listen.accept.recv.send(服务端),WSAStartup.socket.con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxmND0.html" rel="bookmark" class="title">Django&mdash;&mdash;QuerySets酷毙了！</a>
					<div>
						Django的QuerySets酷毙了! 在本文中我将解释一下QuerySets是什么,它是如何工作的(如果你对它已经熟悉了,你可以直接跳到第二部分),我认为如果可以的话你应该总是返回QuerySet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVVLvkM.html" rel="bookmark" class="title">阿里内贸团队敏捷实践-敏捷回顾</a>
					<div>
						回顾(review)是敏捷开发中的一个必不可少的实践,也是把整个敏捷开发过程连接成一个闭环的关键节点,本文将阐述我们是如何做敏捷回顾的. 敏捷回顾最高指导原则 ?无论我们发现了什么,考虑到当时的已知情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R7YOR3.html" rel="bookmark" class="title">冲刺Noip2017模拟赛8 解题报告&mdash;&mdash;五十岚芒果酱</a>
					<div>
						1.鼎纹 [问题描述] 据说鼎纹的 种制造 式是 铜模印出来的,这是我国古代劳动 智慧 的结晶.铜模印过的地 ,会留下深深的印记,经过时间的炼化,洗 练成历史的遗存. 聪明的古代劳动人民拥有一个 a  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBxnAg3.html" rel="bookmark" class="title">mkconfig脚本分析</a>
					<div>
						声明:本文由个人学习过程中整理而成,转载请注明出处. 1.uboot/mkconfig (1)uboot是一个多CPU多架构的统一bootloader, 为了完成针对的特定目标板,目标架构的编译,需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoLpvy0.html" rel="bookmark" class="title">Maximum Subarray 解答</a>
					<div>
						Question Find the contiguous subarray within an array (containing at least one number) which has the ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXqGEG0.html" rel="bookmark" class="title">软件工程读书笔记（2）&mdash;&mdash;第二章 软件过程</a>
					<div>
						第二章 软件过程 软件工程的目标是在规定的时间和预算内开发出高质量软件. 软件项目失败的主要原因几乎与技术和工具没有任何关系,更多的是由于缺少过程规范,只有建立规范的软件开发过程,并持续不断地加以改进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rbnEv3.html" rel="bookmark" class="title">命令之tree</a>
					<div>
						tree命令无法显示中文的问题 解决办法如下: 下载tree-1.5.2.2.tgz版本 $ tar zxvf tree-1.5.2.2.tgz $ cd tree* $ make $ sudo ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0b5L9oM.html" rel="bookmark" class="title">Finding Your Raspberry Pi&rsquo;s System Information</a>
					<div>
						1 cat /proc/cpuinfo 2 vcgencmd measure_temp 3 cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZQzZg0.html" rel="bookmark" class="title">L008之前课程实战模拟。</a>
					<div>
						L008之前课程实战模拟. 1. 安装CentOS 6.5 X86_64 2. 配置网络 3. 用CRT连接服务器 4. 更换源http://mirrors.163.com/.help/CentOS6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pkn6o3.html" rel="bookmark" class="title">SQLserver行转列与列转行</a>
					<div>
						行表: 行表 姓名 属性 属性值 JACK 身高 180 JACK 体重 80 JACK 年龄 27 TOM 身高 164 TOM 体重 59 TOM 年龄 20 列表: 列表 姓名 身高 年龄 体重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXDZz8M.html" rel="bookmark" class="title">JS中showModalDialog 详细使用方法</a>
					<div>
						基本介绍: showModalDialog() (IE 4+ 支持) showModelessDialog() (IE 5+ 支持) window.showModalDialog() 方法用来创建一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bL7z94.html" rel="bookmark" class="title">卸载了 TortoiseGit，问题太多</a>
					<div>
						电脑里面同一时候安装TortoiseGit 和 TortoiseSVN,使用tortoiseGIT来跟踪git项目,有一个非常无语的问题,git status显示都是clean的.可是目录图标却始终显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgmBeR3.html" rel="bookmark" class="title">sublime text 2编译Python时打印中文报错的解决方案</a>
					<div>
						当用sublime text 2 编译 python 文件时,若 print 打印出的中文时,控制台会报错: [Decode error - output not utf-8] 解决方案如下: 打开  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
